package com.yinet.yyqh.service;

import com.yinet.common.core.domain.Ztree;
import com.yinet.yyqh.domain.YyqhGuidance;

import java.io.IOException;
import java.util.List;

/**
 * 菜单 业务层
 *
 * @author ruoyi
 */
public interface YyqhGuidanceService {
    List<YyqhGuidance> selectGuidanceList();

    public YyqhGuidance selectGuidanceById(Long id);

    public int updateGuidance(YyqhGuidance guidance);

    public int insertGuidance(YyqhGuidance guidance);

    public int selectCountGuidanceByParentId(Long parentId);

    public List<YyqhGuidance> selectGuidanceByParentId(Long parentId);

    public int deleteGuidanceById(Long guidanceId);

    public List<Ztree> guidanceTreeData();

    public List<YyqhGuidance> selectGuidanceListById(Long id);

    public List<YyqhGuidance> selectParentGuidanceList();

}
